<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
         $sql = <<<'SQL'
            ALTER TABLE process_orders
            ADD COLUMN line_id BIGINT DEFAULT NULL,
            ADD CONSTRAINT process_orders_line_id_fkey
            FOREIGN KEY (line_id) REFERENCES lines(id);
        SQL;

        DB::statement($sql);
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        // Schema::table('process_orders', function (Blueprint $table) {
        //     //
        // });
    }
};
